<template>
  <span class="b-modal">
    <span @click="toggle()">
      <slot name="toggle"></slot>
    </span>
    <transition :name="transition">
      <div class="modal is-active " :class="name"  v-on:keyup.esc="toggle()" v-show="isActive">
        <div class="modal-background" @click="toggle()"></div>
        <div class="modal-content">
          <slot name="content"></slot>
        </div>
      </div>
    </transition>
  </span>
</template>

<script>
export default {
  name: "bmodal",
  props: {
    name: {
      type: String,
      default: ""
    },
    transition: {
      type: String,
      default: "modal"
    }
  },
  data() {
    return {
      isActive: false
    };
  },
  methods: {
    toggle: function() {
      this.isActive = !this.isActive;
    }
  }
};
</script>
